"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dynamicTitlePlugin = void 0;
const core_1 = require("@vuepress-denaro/core");
const utils_1 = require("@vuepress/utils");
const dynamicTitlePlugin = ({ showIcon = '', showText = '(/≧▽≦/)咦！又好了！', hideIcon = '', hideText = '(●—●)喔哟, 崩溃啦！', recoverTime = 2000, } = {}) => {
    const pluginObj = {
        name: `${core_1.pluginNamePrefix}dynamic-title`,
        define: {
            __DYNAMIC_TITLE_SHOW_ICON__: showIcon,
            __DYNAMIC_TITLE_SHOW_TEXT__: showText,
            __DYNAMIC_TITLE_HIDE_ICON__: hideIcon,
            __DYNAMIC_TITLE_HIDE_TEXT__: hideText,
            __DYNAMIC_TITLE_RECOVER_TIME__: recoverTime, // The time to recover the title after the tab is changed.
        },
        clientConfigFile: utils_1.path.resolve(__dirname, '../client/config.js'),
    };
    return pluginObj;
};
exports.dynamicTitlePlugin = dynamicTitlePlugin;
